emulators/emulationstation - The NetBSD Packages Collection

Themeable multi-system emulator frontend

EmulationStation is a graphical and themeable emulator front-end that allows
you to access all your favorite games in one place, even without a keyboard!

It targets computers connected to a television (like HTPCs, media boxes, and
the Raspberry Pi).

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto devel/boost-headers textproc/rapidjson pkgtools/cwrappers devel/cmake devel/pkgconf

Runtime dependencies

graphics/MesaLib devel/SDL2 devel/boost-libs graphics/freeimage graphics/freetype2 graphics/freetype2 graphics/glu graphics/glu multimedia/vlc textproc/pugixml www/curl graphics/MesaLib devel/SDL2 graphics/glu www/curl

Binary packages

OSArchitectureVersion
NetBSD 9.0aarch64emulationstation-2.9.0nb6.tgz
NetBSD 9.0aarch64emulationstation-2.9.0nb4.tgz
NetBSD 9.0i386emulationstation-2.9.0nb4.tgz
NetBSD 9.0i386emulationstation-2.9.0nb5.tgz
NetBSD 9.0i386emulationstation-2.9.0nb6.tgz
NetBSD 9.0mips64ebemulationstation-2.9.0nb6.tgz
NetBSD 9.0mips64ebemulationstation-2.9.0nb5.tgz
NetBSD 9.0sparc64emulationstation-2.9.0nb6.tgz
NetBSD 9.0sparc64emulationstation-2.9.0nb4.tgz
NetBSD 9.0x86_64emulationstation-2.9.0nb5.tgz
NetBSD 9.0x86_64emulationstation-2.9.0nb6.tgz
NetBSD 9.0x86_64emulationstation-2.9.4nb1.tgz
NetBSD 9.0x86_64emulationstation-2.9.0nb4.tgz
NetBSD 9.0x86_64emulationstation-2.9.0nb5.tgz
NetBSD 9.0x86_64emulationstation-2.9.0nb6.tgz
NetBSD 9.0x86_64emulationstation-2.9.0nb6.tgz
NetBSD 9.0x86_64emulationstation-2.9.4nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

opengl
Use OpenGL as display library.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.